### Method

# FwupdPlugin Firmware add_image

#### Declaration [src]

    gboolean
    fu_firmware_add_image (
      FuFirmware* self,
      FuFirmware* img,
      GError** error
    )

#### Description [src]

Adds an image to the firmware. This method will fail if the number of images would be above the limit set by fu_firmware_set_images_max().

If `FU_FIRMWARE_FLAG_DEDUPE_ID` is set, an image with the same ID is already present it is replaced.

Available since: | 1.9.3

#### Parameters

`img` | `FuFirmware`
| A child firmware image.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if the image was added.